# /actions

## Get the list of supported actions

<mark style="color:green;">`GET`</mark> `https://api.brianknows.org/api/v0/utils/actions`

Returns all the actions supported by Brian with the related parameters and descriptions.

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Body**

The body is empty.

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "result": [
    {
      "name": "transfer",
      "description": "Movement of digital assets from one account to another within the blockchain network.",
      "parameters": [
        {
          "name": "receiver",
          "type": "string",
          "description": "The recipient address",
          "mandatory": true
        },
        {
          "name": "token1",
          "type": "string",
          "description": "The token to transfer",
          "mandatory": true
        },
        {
          "name": "amount",
          "type": "string",
          "description": "The amount of tokens to transfer",
          "mandatory": true
        },
        {
          "name": "chain",
          "type": "string",
          "description": "The blockchain network to use",
          "mandatory": false
        }
      ]
    },
    .....
    ]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.brianknows.org/brian-api/apis/actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
